Loading search index…

Browse documentationOpen the wallet deep link | API Reference
SESSIONS

Open the wallet deep link

GET/v1/sessions/{sessionId}/open

Redirects the user agent to the selected wallet invocation URI for this session. Use this endpoint to continue a same-device wallet flow.

Backend integrationNo tenant API key is required for this public protocol operation.
Try itAvailable for creating, reading, and deleting verification sessions in Test. Other operations are reference-only; API-key protected routes require a tenant API key on your backend. Open a session request
Parameters
Parameters for GET /v1/sessions/{sessionId}/open
NameLocationRequiredSchemaDescription
sessionIdpathYesstringSession ID
schemequeryNoopenid4vp | eudi-openid4vp | mdoc-openid4vp | haip-vp | eudi-wallet | haipWallet invocation scheme. eudi-wallet and haip are deprecated aliases for eudi-openid4vp and haip-vp.

Responses

Response 302

Redirect to the selected wallet URI

Response 404

Error response

application/json · Response schema
errorstringrequired
messagestringrequired
View JSON schema
{
  "type": "object",
  "required": [
    "error",
    "message"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  }
}
← All public operations
© DLBR · API documentationv0.1.0 · a1293c1